#!/bin/sh

echo "Will generate curl tests for every routes declared routes.list"

test_template="#!/bin/sh \n
\n
echo \"Will test route $line\" ;\n
curl \n
";
file="routes.list";

if [ -f "$file" ]
then
    echo "$file found."

    while read line
    do
	script_name=`echo $line | sed -e "s/\//-/g"`
	echo $test_template #> "test$script_name"
    done < "$file"

else
    echo "$file not found."
fi
